Skip to content

Authorized Client ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
exportAuthedClientListGlobalByCloudAccessPOSTExport global authed client list
getHotspotAuthedClientsGETGet authentication record list
deleteHotspotAuthedClientDELETEDelete given authed record
disconnectHotspotAuthedClientPOSTDisconnect authed client
extendHotspotAuthedClientPOSTModify period for given authed record
deleteAllInvalidAuthedClientsPOSTDelete all invalid authed record
authClientPOSTAuthentication the given client
cancelAuthClientPOSTCancel authentication the given client
getHotspotStatisticGETGet hotspot statistic

exportAuthedClientListGlobalByCloudAccess ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-client-list

Export global authed client list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ExportAuthedClientOpenApiVO

FieldTypeRequiredDescription
siteIdsarray<string>noSite IDs of the authed clients to export.
formatintegernoExport authed client format.
json
// omada_call_operation
{
  "operationId": "exportAuthedClientListGlobalByCloudAccess",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export global authed client list with the given omadacId, siteId.
The interface requires one of the permissions:
Global Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33000 - This site does not exist.
-34552 - The number of local data export times through Cloud Access within one hour has reached the limit.

getHotspotAuthedClients ​

GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records

Get authentication record list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.authTypequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ssidOrNetworkquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.downloadquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.uploadquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.statusquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.startquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.endquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.durationquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field client_mac,client_name,voucher.code,local_user.user_name,form_name,auth_admin,ssid_name,network_name
json
// omada_call_operation
{
  "operationId": "getHotspotAuthedClients",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get all authentication records in a site with the given omadacId, siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
Site Insight Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.

deleteHotspotAuthedClient ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/{id}

Delete given authed record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesAuthed record ID
json
// omada_call_operation
{
  "operationId": "deleteHotspotAuthedClient",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete the authentication record with the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33000 - This site does not exist.
-41018 - Unauth failed, try again when network recover.

disconnectHotspotAuthedClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/{id}/disconnect

**Disconnect authed client **

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesLocal user ID
json
// omada_call_operation
{
  "operationId": "disconnectHotspotAuthedClient",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Disconnect the authentication record with the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33000 - This site does not exist.
-41018 - Unauth failed, try again when network recover.

extendHotspotAuthedClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/{id}/period

Modify period for given authed record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesAuthed record ID

Request body — application/json (required) — schema ExtendOpenApiVO

FieldTypeRequiredDescription
periodintegeryesExtended timestamp. Unit:ms. Period should be within the range of 60000 to 86400000000000(60s to 1000000days).
json
// omada_call_operation
{
  "operationId": "extendHotspotAuthedClient",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Extend the valid time of the authentication record with the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-7131 - Controller ID not exist.

deleteAllInvalidAuthedClients ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/delete

Delete all invalid authed record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Delete Filter Info

FieldTypeRequiredDescription
startintegeryesStart timestamp, in seconds, such as 1682000000.
endintegeryesEnd timestamp, in seconds, such as 1682000000.
searchKeystringnoSearching key for clients to delete, Searching by: client mac, client name, ssid name, network name.
json
// omada_call_operation
{
  "operationId": "deleteAllInvalidAuthedClients",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete all authentication record withs the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

authClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/clients/{clientMac}/auth

Authentication the given client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC, format: AA-BB-CC-DD-EE-FF.
json
// omada_call_operation
{
  "operationId": "authClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Authentication this client with the given omadacId, siteId, clientMac
The interface requires one of the permissions:
Site Clients Manager Modify
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-41009 - Failed to authorize this client.
-41010 - This client does not exist.
-42003 - This operator does not exist.
-42006 - Failed to log in.
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-7131 - Controller ID not exist.

cancelAuthClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/clients/{clientMac}/unauth

Cancel authentication the given client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "cancelAuthClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Cancel the authentication of this client with the given omadacId, siteId, clientMac.
The interface requires one of the permissions:
Site Clients Manager Modify
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-41006 - This client does not exist.
-41017 - Unauth failed because gateway not existed or disconnected.
-41018 - Unauth failed, try again when network recover.
-41019 - The client is being disconnected, please wait...
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-7131 - Controller ID not exist.

getHotspotStatistic ​

GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/dashboard/statistics

Get hotspot statistic

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegernoStart timestamp, in seconds, such as 1682000000
endqueryintegernoEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getHotspotStatistic",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get hotspot statistic with the given omadacId and siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.